import java.io.*;
import javax.swing.filechooser.FileFilter;

public class MyFilter extends FileFilter
  {
    String est;
    public MyFilter(String estensione)
    {
      est=estensione;
    }

    public boolean accept(File f)
    {
      String str=f.getName().toLowerCase();
      return str.endsWith(est)||f.isDirectory();
    }

    public String getDescription()
    {
      return "Immagine "+est;
    }

    public String toString()
    {
      return est;
    }

   public String getEst() { return est; }
  }
